Subject: Re: [ethtool PATCH] ethtool: Support n-tuple filter programming

From: Jeff Garzik <[email-masked]>
Date: Thu, 25 Feb 2010 05:26:54 -0500

On 02/25/2010 02:04 AM, Waskiewicz Jr, Peter P wrote:
> On Wed, 24 Feb 2010, Jeff Garzik wrote:
>
>> On 02/04/2010 02:51 AM, Jeff Kirsher wrote:
>>> From: Peter Waskiewicz<[email-masked]>
>>>
>>> Program underlying ethernet devices with n-tuple flow classification
>>> filters.
>>>
>>> This also adds a new flag to ethtool_flags, allowing n-tuple
>>> programming to be toggled using the set_flags call.
>>>
>>> Signed-off-by: Peter P Waskiewicz Jr<[email-masked]>
>>> Signed-off-by: Jeff Kirsher<[email-masked]>
>>> ---
>>>
>>>    ethtool-copy.h |   35 +++++++++++++
>>>    ethtool.c      |  156 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
>>>    2 files changed, 186 insertions(+), 5 deletions(-)
>>
>> applied, but two problems remain:
>>
>> 1) you failed to document this in the man page.  I will expect a patch
>> to ethtool.8.
>
> And you shall have it shortly.  My bad.
>
>>
>> 2) you introduced a deviation from the upstream kernel ethtool.h:
>
> I see what happened.  We moved those two entries in ethtool.h into the
> #ifdef __KERNEL__ section.  I can create a patch for the kernel ethtool.h
> to move them back to match userspace if that is what folks want.

One way or another, userspace ethtool-copy.h must match the kernel's, 
and userspace ethtool does not build without those definitions...  They 
are de facto part of the interface at this point, though you are welcome 
to change that if you wish.

	Jeff